How do I resolve owncloud-client package update conflict and start using Fedora packages over 3rd party repo?

asked 2016-02-27 12:11:13 -0500

Hi,

Previously owncloud-client package didn't get timely updates so I resorted to using OBS repo provided by ownCloud. Now I see Fedora owncloud-client is getting steady updates and is conflicting with OBS packages. I tried disabling OBS repo but I still get same error.

$ sudo dnf update -y owncloud-client
[sudo] password for sudhir: 
Last metadata expiration check performed 0:00:00 ago on Sat Feb 27 23:17:56 2016.
Dependencies resolved.
================================================================================================================================================================================================
   Package                                             Arch                               Version                                                       Repository                           Size
 ================================================================================================================================================================================================
 Skipping packages with conflicts:
 (add '--best --allowerasing' to command line to force their upgrade):
  owncloud-client                                     x86_64                             2.1.1-2.fc23                                                       updates                             1.3 M
  owncloud-client-libs                                x86_64                             2.1.1-2.fc23                                                  updates                             393 k
  qtlockedfile-qt5                                    x86_64                             2.4-20.20150629git5a07df5.fc23                                updates                              35 k
  qtsingleapplication-qt5                             x86_64                             2.6.1-26.fc23                                                 updates                              43 k 

 Transaction Summary                                                                                                                                                                             
 ================================================================================================================================================================================================
 Skip  4 Packages                                                                                                                                                                                

Nothing to do.
Complete!

$ dnf list installed | grep @isv_ownCloud_desktop
libowncloudsync0.x86_64              2.1.1-1.1                @isv_ownCloud_desktop
libqt5keychain0.x86_64               0.5-3.1                  @isv_ownCloud_desktop
owncloud-client.x86_64               2.1.1-1.1                @isv_ownCloud_desktop
owncloud-client-l10n.x86_64          2.1.1-1.1                @isv_ownCloud_desktop
$ rpm -qa | grep owncloud
libowncloudsync0-2.1.1-1.1.x86_64
owncloud-client-l10n-2.1.1-1.1.x86_64
owncloud-client-2.1.1-1.1.x86_64

How can I remove ownCloud's OBS repo and start using packages from Fedora?

edit retag flag offensive close merge delete

Comments

What happens if you use the suggested parameters --best --allowerasing ?

mithrial gravatar imagemithrial ( 2016-02-28 08:15:55 -0500 )edit

file /usr/lib64/libowncloudsync.so.2.1.1 from install of owncloud-client-libs-2.1.1-2.fc23.x86_64 conflicts with file from package libowncloudsync0-2.1.1-1.1.x86_64 file /usr/lib64/owncloud/libocsync.so.2.1.1 from install of owncloud-client-libs-2.1.1-2.fc23.x86_64 conflicts with file from package libowncloudsync0-2.1.1-1.1.x86_64

sudhirkhanger gravatar imagesudhirkhanger ( 2016-02-28 13:26:39 -0500 )edit
1

Okay, what you could do is to manually remove the listed packages and then install from Fedora's repo.

mithrial gravatar imagemithrial ( 2016-02-28 14:49:51 -0500 )edit